import { v3 } from "cc";
import { JNLayerAnim, JNLayerInfo } from "../../../extensions/ngame/assets/ngame/ui/JNLayer";

export enum GLayer{
    View = "View",
    Popup = "Popup",
    Tips = "Tips",
}

export enum GUI{
    /** 系统UI */
    Login = "Login",        //登录页面
    Loading = "Loading",    //加载页面
    Tips = "Tips",          //提示

    Home = "Home",          //主页面
}


//系统UI
const UISystemConfig:{ [key: string]: JNLayerInfo; } = {
    [GUI.Tips]:{
        layer:GLayer.Tips,
        uri: "prefab/ui/System/Tips/TipsView",
        anims:{
            front:JNLayerAnim.BackOutOpen,
            back:JNLayerAnim.BackInClose
        }
    },
    [GUI.Login]:{
        layer:GLayer.Popup,
        uri: "prefab/ui/System/LoginView",
        anims:{
            front:JNLayerAnim.BackOutOpen,
            back:JNLayerAnim.BackInClose
        }
    },
    [GUI.Loading]:{
        layer:GLayer.View, 
        uri: "prefab/ui/Loading/LoadingView",
        anims:{
            back:JNLayerAnim.Smaller,
            backInfo:{key:"position",start:v3(0,0,0),end:v3(-720,0,0)}
        },
    },
}

export const UIConfig:{ [key: string]: JNLayerInfo; } = {
    [GUI.Home]:{
        layer:GLayer.View,
        uri: "prefab/ui/Home/HomeView",
        anims:{
            front:JNLayerAnim.Enlarge,
            back:JNLayerAnim.Smaller,
            frontInfo:{key:"position",start:v3(720,0,0),end:v3(0,0,0)},
            backInfo:{key:"position",start:v3(0,0,0),end:v3(-720,0,0)}
        },
    },
    ...UISystemConfig
}

